[102753] trunk/dports/net/ntop

ryandesign at macports.org ryandesign at macports.org
Thu Feb 7 16:43:14 PST 2013


Revision: 102753
          https://trac.macports.org/changeset/102753
Author:   ryandesign at macports.org
Date:     2013-02-07 16:43:14 -0800 (Thu, 07 Feb 2013)
Log Message:
-----------
ntop:
 * update to 5.0.1
 * rename configure.in to configure.ac to prepare for automake 1.14
 * patch configure.ac to fix problems when using automake 1.13 (#37593)
 * patch autogen.sh to not check for presence of svn since we're not using it
 * patch autogen.sh to fix a comment syntax error which resulted in a spurious error being printed
 * patch autogen.sh to exit with an error if configuration or compilation of nDPI fails
 * run autogen.sh as configure.cmd instead of as autoconf.cmd because during the configure phase MacPorts sets environment variables like CC which are needed for nDPI
 * remove "build.type gnu" because that is the default

Modified Paths:
--------------
    trunk/dports/net/ntop/Portfile
    trunk/dports/net/ntop/files/patch-Makefile.am.diff
    trunk/dports/net/ntop/files/patch-autogen.sh.diff
    trunk/dports/net/ntop/files/patch-plugins-Makefile.am.diff

Added Paths:
-----------
    trunk/dports/net/ntop/files/patch-configure.ac.diff

Removed Paths:
-------------
    trunk/dports/net/ntop/files/patch-configure.in.diff

Modified: trunk/dports/net/ntop/Portfile
===================================================================
--- trunk/dports/net/ntop/Portfile	2013-02-07 22:55:56 UTC (rev 102752)
+++ trunk/dports/net/ntop/Portfile	2013-02-08 00:43:14 UTC (rev 102753)
@@ -4,8 +4,7 @@
 PortSystem 1.0
 
 name			ntop
-version			4.1.0
-revision        1
+version			5.0.1
 categories		net
 maintainers		markd openmaintainer
 # COPYING is GPL 3 but the source files say GPL 2 or later
@@ -19,8 +18,8 @@
 homepage		http://www.ntop.org/
 master_sites		sourceforge:project/ntop/ntop/Stable/
 
-checksums		rmd160  6f10e30e1b2870fc1ec327512e17cfbe0783faa4 \
-			sha256  c71e5563879ec1866296825e1705f30b5a67eb87c9abfbd7dc1c5baeed0384a4
+checksums		rmd160  6ca48ded21538e7af895b25da935a3069378de70 \
+			sha256  7e8e84cb14d2173beaca4d4cb991a14d84a4bef84ec37b2276bc363f45c52ef8
 
 depends_build		port:gawk \
 			port:automake \
@@ -36,27 +35,27 @@
 			port:libgeoip \
 			port:python27
 
+post-extract {
+	move ${worksrcpath}/configure.in ${worksrcpath}/configure.ac
+}
+
 patchfiles		patch-Makefile.am.diff \
 			patch-autogen.sh.diff \
-			patch-configure.in.diff \
+			patch-configure.ac.diff \
 			patch-plugins-Makefile.am.diff
 
 post-patch {
 	reinplace "s|__PREFIX__|${prefix}|g" ${worksrcpath}/autogen.sh
 }
 
-use_autoconf		yes
-autoconf.cmd		${worksrcpath}/autogen.sh
-autoconf.args		--noconfig
-
 configure.env		LOCALEDIR=${prefix}/share/locale \
 			PYTHON=${prefix}/bin/python2.7-config
 
+configure.cmd		${worksrcpath}/autogen.sh
+
 configure.args		--with-rrd-home=${prefix} \
 			--without-ssl
 
-build.type		gnu
-
 startupitem.create	yes
 startupitem.executable	${prefix}/bin/ntop @${prefix}/etc/ntop/ntop.conf
 

Modified: trunk/dports/net/ntop/files/patch-Makefile.am.diff
===================================================================
--- trunk/dports/net/ntop/files/patch-Makefile.am.diff	2013-02-07 22:55:56 UTC (rev 102752)
+++ trunk/dports/net/ntop/files/patch-Makefile.am.diff	2013-02-08 00:43:14 UTC (rev 102753)
@@ -11,12 +11,3 @@
  
  NTOPHTML = html html/*.js html/*.html  html/*.gif html/*.jpg html/*.ico html/*.png \
             html/*.css html/*.dtd \
-@@ -328,7 +326,7 @@
- install-selinux-policy:
- 	chcon -t textrel_shlib_t $(DESTDIR)$(libdir)/*ntop*.so
- 
--install-data-local: ntop.txt ntop.html faq.html dnetter
-+install-data-local: ntop.txt ntop.html faq.html
- 	@$(top_srcdir)/mkinstalldirs $(DESTDIR)/$(libdir)/plugins;
- 	@if ! test -d $(DESTDIR)/$(datadir)/ntop; then \
- 	  $(top_srcdir)/mkinstalldirs $(DESTDIR)/$(datadir)/ntop; \

Modified: trunk/dports/net/ntop/files/patch-autogen.sh.diff
===================================================================
--- trunk/dports/net/ntop/files/patch-autogen.sh.diff	2013-02-07 22:55:56 UTC (rev 102752)
+++ trunk/dports/net/ntop/files/patch-autogen.sh.diff	2013-02-08 00:43:14 UTC (rev 102753)
@@ -1,6 +1,6 @@
---- autogen.sh.orig	2010-03-31 10:13:52.000000000 -0500
-+++ autogen.sh	2011-09-11 00:47:04.000000000 -0500
-@@ -202,15 +202,6 @@
+--- autogen.sh.orig	2012-02-20 04:35:43.000000000 -0600
++++ autogen.sh	2013-02-07 18:25:43.000000000 -0600
+@@ -202,29 +202,11 @@
    GNU_OR_DIE=0
  }
  
@@ -16,8 +16,22 @@
  
  if test "$GNU_OR_DIE" -eq 0; then
    exit 1
-@@ -311,9 +302,9 @@
+ fi
  
+-SVN=`find_command 'svn'`
+-($SVN --version) < /dev/null > /dev/null 2>&1 ||
+-{
+-  echo
+-  echo "You must have svn/subversion installed to compile $progname."
+-  echo "Download the appropriate package for your distribution, or get the"
+-  echo "source from http://subversion.tigris.org"
+-  GNU_OR_DIE=0
+-}
+ 
+ if test "$GNU_OR_DIE" -eq 0; then
+   exit 1
+@@ -325,9 +307,9 @@
+ 
  if [ ! -f libtool.m4.in ]; then
    echo "    Finding libtool.m4.in"
 -  if [ -f /usr/local/share/aclocal/libtool.m4 ]; then
@@ -29,3 +43,20 @@
    else
       if [ -f /usr/share/aclocal/libtool.m4 ]; then
        echo "        .... found /usr/share/aclocal/libtool.m4"
+@@ -444,13 +426,14 @@
+ else
+     svn co $NDPI_URL
+ fi
++echo
+ 
+-dnl> nDPI compilation
++# nDPI compilation
+ if test -f NDPI_LIB; then
+     echo "nDPI already compiled"
+ else
+     echo "10. Compiling nDPI..."
+-    cd nDPI; ./configure --with-pic; make; cd ..
++    cd nDPI; ./configure --with-pic || exit $?; make || exit $?; cd ..
+ fi
+ 
+ 

Copied: trunk/dports/net/ntop/files/patch-configure.ac.diff (from rev 102734, trunk/dports/net/ntop/files/patch-configure.in.diff)
===================================================================
--- trunk/dports/net/ntop/files/patch-configure.ac.diff	                        (rev 0)
+++ trunk/dports/net/ntop/files/patch-configure.ac.diff	2013-02-08 00:43:14 UTC (rev 102753)
@@ -0,0 +1,97 @@
+--- configure.ac.orig	2012-08-13 02:35:26.000000000 -0500
++++ configure.ac	2013-02-07 18:07:04.000000000 -0600
+@@ -56,7 +56,7 @@
+ dnl> generate the config header
+ dnl>
+ umask 002
+-AM_CONFIG_HEADER(config.h)
++AC_CONFIG_HEADERS([config.h])
+ 
+ HAS_ERROR=
+ HAS_WARNING=
+@@ -324,23 +324,6 @@
+ echo
+ echo "Checking C compiler program and features..."
+ echo
+-AM_PROG_CC_STDC
+-if test ".${ac_cv_prog_cc_stdc}" = ".no"; then
+-    echo
+-    echo "*******************************************************************"
+-    echo "*"
+-    echo "* WARNING: Attempting to configure for non ANSI standard C."
+-    echo "*"
+-    echo "*>>> This is unsupported."
+-    echo "*>>> It will probably fail."
+-    echo "*"
+-    echo "*    You are welcome to try - but please, keep the ntop-dev"
+-    echo "*    mailing list updated with your successes or failures..."
+-    echo "*"
+-    echo "*******************************************************************"
+-    echo
+-    HAS_WARNING="yes"
+-fi
+ 
+ dnl> NTOPCONFIGDEBUG_SETTINGS([After cc stdc test])
+ 
+@@ -469,10 +452,6 @@
+     LOCALEDIR="/usr/lib/locale"
+ fi
+ 
+-dnl> Add /usr/local/ /opt/local
+-CFLAGS="${CFLAGS} -I/usr/local/include -I/opt/local/include"
+-CPPFLAGS="${CPPFLAGS} -I/usr/local/include -I/opt/local/include"
+-LDFLAGS="${LDFLAGS} -L/usr/local/lib -L/opt/local/lib"
+ 
+ PWD=`pwd`
+ 
+@@ -1465,25 +1444,8 @@
+ dnl> PYTHON
+ dnl>
+   AC_CHECK_TOOL(PYTHON, python-config)
+-  PYTHON_CONFIG=""
++  PYTHON_CONFIG="$ac_cv_prog_ac_ct_PYTHON"
+ 
+-  if test "x$ac_cv_prog_ac_ct_PYTHON" != "xpython-config"; then   
+-       if test -f "/etc/debian_version"; then
+-       	   AC_MSG_RESULT(Please install python-dev and rerun configure)
+-	   exit 1
+-	else
+-	AC_MSG_RESULT(>>>> Unable to locate python-config: using workaround <<<<)
+-        dnl> Silly workaround for RedHat-like distro
+-        AC_CHECK_TOOL(PYTHON, python)
+-        if test "x$ac_cv_prog_ac_ct_PYTHON" = "xpython"; then
+-          PYTHON_CONFIG="./configureextra/python-config"
+-        else
+-          PYTHON_CONFIG="python-config"
+-        fi
+-     fi
+-  else
+-     PYTHON_CONFIG="python-config"
+-  fi
+ 
+   if test "x$PYTHON_CONFIG" != "x"; then
+     PYTHON_LIBS="`$PYTHON_CONFIG --libs`"
+@@ -1981,22 +1943,8 @@
+ echo "#endif /* MEMORY_DEBUG */" >> version.c
+ 
+ case "${host}" in
+-    *darwin* )
+-	if test -f /usr/bin/glibtool; then
+-		ln -s  /usr/bin/glibtool libtool
+-		echo
+-		echo "Copying patched versions of some configure-related files for Mac OS X"
+-        	cp packages/MacOSX/lt* .
+-		rm -f libtool
+-	else
+-		if test -f /usr/bin/libtool; then
+-			ln -s  /usr/bin/libtool libtool
+-		fi 		
+-	fi
+-        echo
+-        ;;
+ 	*)
+-	LIBTOOL_PATH="/usr/bin/libtool"
++	LIBTOOL_PATH="${prefix}/bin/glibtool"
+ 	if test -x ${LIBTOOL_PATH}; then
+ 	   rm -f libtool
+ 	   ln -s ${LIBTOOL_PATH} libtool

Deleted: trunk/dports/net/ntop/files/patch-configure.in.diff
===================================================================
--- trunk/dports/net/ntop/files/patch-configure.in.diff	2013-02-07 22:55:56 UTC (rev 102752)
+++ trunk/dports/net/ntop/files/patch-configure.in.diff	2013-02-08 00:43:14 UTC (rev 102753)
@@ -1,67 +0,0 @@
---- configure.in.orig	2011-08-15 03:34:28.000000000 -0500
-+++ configure.in	2011-11-12 23:59:24.000000000 -0600
-@@ -469,10 +469,6 @@
-     LOCALEDIR="/usr/lib/locale"
- fi
- 
--dnl> Add /usr/local/ /opt/local
--CFLAGS="${CFLAGS} -I/usr/local/include -I/opt/local/include"
--CPPFLAGS="${CPPFLAGS} -I/usr/local/include -I/opt/local/include"
--LDFLAGS="${LDFLAGS} -L/usr/local/lib -L/opt/local/lib"
- 
- PWD=`pwd`
- 
-@@ -1450,25 +1446,8 @@
- dnl> PYTHON
- dnl>
-   AC_CHECK_TOOL(PYTHON, python-config)
--  PYTHON_CONFIG=""
-+  PYTHON_CONFIG="$ac_cv_prog_ac_ct_PYTHON"
- 
--  if test "x$ac_cv_prog_ac_ct_PYTHON" != "xpython-config"; then   
--       if test -f "/etc/debian_version"; then
--       	   AC_MSG_RESULT(Please install python-dev and rerun configure)
--	   exit 1
--	else
--	AC_MSG_RESULT(>>>> Unable to locate python-config: using workaround <<<<)
--        dnl> Silly workaround for RedHat-like distro
--        AC_CHECK_TOOL(PYTHON, python)
--        if test "x$ac_cv_prog_ac_ct_PYTHON" = "xpython"; then
--          PYTHON_CONFIG="./configureextra/python-config"
--        else
--          PYTHON_CONFIG="python-config"
--        fi
--     fi
--  else
--     PYTHON_CONFIG="python-config"
--  fi
- 
-   if test "x$PYTHON_CONFIG" != "x"; then
-     PYTHON_LIBS="`$PYTHON_CONFIG --libs`"
-@@ -1480,7 +1459,7 @@
- 
-     dnl remove unecessary path
-     dnl line below workaround for OSX 10.6 (Snow Leopard)/10.7 (Lion)
--    PYTHON_INCS=`$PYTHON_CONFIG --cflags | sed -e "s/-arch i386// | sed -e "s/-arch ppc// | sed -e "s/-arch x86_64//"`
-+    PYTHON_INCS=`$PYTHON_CONFIG --cflags | sed -e "s/-arch i386//" | sed -e "s/-arch ppc//" | sed -e "s/-arch x86_64//"`
-     INCS="${INCS} ${PYTHON_INCS}"
- 
- OLD_CFLAGS=$CFLAGS
-@@ -1956,16 +1935,8 @@
- echo "#endif /* MEMORY_DEBUG */" >> version.c
- 
- case "${host}" in
--    *darwin* )
--        echo
--	echo "Copying patched versions of some configure-related files for Mac OS X"
--        cp packages/MacOSX/lt* .
--	rm -f libtool
--	ln -s  /usr/bin/glibtool libtool
--        echo
--        ;;
- 	*)
--	LIBTOOL_PATH="/usr/bin/libtool"
-+	LIBTOOL_PATH="${prefix}/bin/glibtool"
- 	if test -x ${LIBTOOL_PATH}; then
- 	   rm -f libtool
- 	   ln -s ${LIBTOOL_PATH} libtool

Modified: trunk/dports/net/ntop/files/patch-plugins-Makefile.am.diff
===================================================================
--- trunk/dports/net/ntop/files/patch-plugins-Makefile.am.diff	2013-02-07 22:55:56 UTC (rev 102752)
+++ trunk/dports/net/ntop/files/patch-plugins-Makefile.am.diff	2013-02-08 00:43:14 UTC (rev 102753)
@@ -1,23 +1,13 @@
---- plugins/Makefile.am.orig	2010-01-01 10:53:43.000000000 -0600
-+++ plugins/Makefile.am	2011-11-13 00:47:52.000000000 -0600
-@@ -57,24 +57,24 @@
-                   libsflowPlugin.la
+--- plugins/Makefile.am.orig	2012-02-02 05:17:12.000000000 -0600
++++ plugins/Makefile.am	2013-02-07 17:55:09.000000000 -0600
+@@ -52,16 +52,16 @@
+                   libsflowPlugin.la 
  
- libicmpPlugin_la_SOURCES = icmpPlugin.c
--libicmpPlugin_la_LDFLAGS = -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
-+libicmpPlugin_la_LDFLAGS = $(AM_LDFLAGS) -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
- libicmpPlugin_la_CFLAGS = $(AM_CFLAGS)
- 
  libnetflowPlugin_la_SOURCES = netflowPlugin.c
 -libnetflowPlugin_la_LDFLAGS = -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
 +libnetflowPlugin_la_LDFLAGS = $(AM_LDFLAGS) -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
  libnetflowPlugin_la_CFLAGS = $(AM_CFLAGS)
  
- libcpacketPlugin_la_SOURCES = cpacketPlugin.c
--libcpacketPlugin_la_LDFLAGS = -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
-+libcpacketPlugin_la_LDFLAGS = $(AM_LDFLAGS) -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
- libcpacketPlugin_la_CFLAGS = $(AM_CFLAGS)
- 
  librrdPlugin_la_SOURCES = rrdPlugin.c
 -librrdPlugin_la_LDFLAGS = -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
 +librrdPlugin_la_LDFLAGS = $(AM_LDFLAGS) -shared -release @PACKAGE_VERSION@ @DYN_FLAGS@
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20130207/be69c555/attachment.html>


More information about the macports-changes mailing list